Bug 1572912 - [abrt] remmina: pa_xmalloc(): remmina killed by SIGSEGV
Summary: [abrt] remmina: pa_xmalloc(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f29a01b9f8510b597ac23a6bdf4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-28 17:21 UTC by Sylvain Petreolle
Modified: 2018-08-23 10:33 UTC (History)
2 users (show)

Fixed In Version: remmina-1.2.31.3-1.fc27 remmina-1.2.31.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-23 09:45:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (104.33 KB, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: cgroup (194 bytes, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: core_backtrace (52.31 KB, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: cpuinfo (1.66 KB, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: dso_list (15.71 KB, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: environ (2.09 KB, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: exploitable (112 bytes, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: maps (75.83 KB, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: open_fds (5.15 KB, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details
File: var_log_messages (824 bytes, text/plain)
2018-04-28 17:21 UTC, Sylvain Petreolle
no flags Details

Description Sylvain Petreolle 2018-04-28 17:21:11 UTC
Description of problem:
I tested if I could reproduce problems linked to sound playback with updated remmina / freerdp :
bug 1562551, bug 1562231, bug 1560466

I play sounds with VLC media player on windows, get distorted sound and remmina crashes.

Version-Release number of selected component:
remmina-1.2.0-0.51.20180408.git.6b62986.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: pa_xmalloc
executable:     /usr/bin/remmina
journald_cursor: s=d3a0cf5ce32a481e83cb85051220510f;i=1258062;b=506b511d6e314d8d96b5982d01c36f4c;m=9dafdd12c3;t=56aeba939bd2e;x=e3806b4f56895392
kernel:         4.15.14-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Comment 1 Sylvain Petreolle 2018-04-28 17:21:19 UTC
Created attachment 1428181 [details]
File: backtrace

Comment 2 Sylvain Petreolle 2018-04-28 17:21:20 UTC
Created attachment 1428182 [details]
File: cgroup

Comment 3 Sylvain Petreolle 2018-04-28 17:21:23 UTC
Created attachment 1428183 [details]
File: core_backtrace

Comment 4 Sylvain Petreolle 2018-04-28 17:21:24 UTC
Created attachment 1428184 [details]
File: cpuinfo

Comment 5 Sylvain Petreolle 2018-04-28 17:21:26 UTC
Created attachment 1428185 [details]
File: dso_list

Comment 6 Sylvain Petreolle 2018-04-28 17:21:27 UTC
Created attachment 1428186 [details]
File: environ

Comment 7 Sylvain Petreolle 2018-04-28 17:21:28 UTC
Created attachment 1428187 [details]
File: exploitable

Comment 8 Sylvain Petreolle 2018-04-28 17:21:29 UTC
Created attachment 1428188 [details]
File: limits

Comment 9 Sylvain Petreolle 2018-04-28 17:21:32 UTC
Created attachment 1428189 [details]
File: maps

Comment 10 Sylvain Petreolle 2018-04-28 17:21:34 UTC
Created attachment 1428190 [details]
File: open_fds

Comment 11 Sylvain Petreolle 2018-04-28 17:21:35 UTC
Created attachment 1428191 [details]
File: proc_pid_status

Comment 12 Sylvain Petreolle 2018-04-28 17:21:36 UTC
Created attachment 1428192 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2018-05-03 07:50:40 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:19:30 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Sylvain Petreolle 2018-05-30 16:44:58 UTC
Similar problem has been detected:

I played music with VLC in my remote desktop.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: pa_xmalloc
executable:     /usr/bin/remmina
journald_cursor: s=d3a0cf5ce32a481e83cb85051220510f;i=1275807;b=0a4b20982299470d92996f605e643c8e;m=240329da8c;t=56d6ef0073e67;x=4001ec25f77bc82d
kernel:         4.16.7-100.fc26.x86_64
package:        remmina-1.2.0-0.51.20180408.git.6b62986.fc27
reason:         remmina killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Comment 16 Fedora Update System 2018-08-20 14:39:58 UTC
remmina-1.2.31.3-1.fc27 freerdp-2.0.0-44.rc3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 17 Fedora Update System 2018-08-20 14:41:12 UTC
remmina-1.2.31.3-1.fc28 freerdp-2.0.0-44.rc3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 18 Fedora Update System 2018-08-22 00:33:02 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 19 Fedora Update System 2018-08-22 03:12:32 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 20 Fedora Update System 2018-08-23 09:45:17 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-08-23 10:33:10 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.